Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# Locator_XMLHandler Class Reference

`#include <Locator_XMLHandler.h>`

Collaboration diagram for Locator_XMLHandler:

[legend]
List of all members.

## Public Types
typedef ACE_Vector< EnvVar > | EnvList
## Public Member Functions
| Locator_XMLHandler (Callback &cb)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Static Public Attributes
const char * | ROOT_TAG = "ImplementationRepository"
const char * | SERVER_INFO_TAG = "Servers"
const char * | ENVIRONMENT_TAG = "EnvironmentVariables"
const char * | ACTIVATOR_INFO_TAG = "Activators"
## Private Attributes
Callback & | callback_
ACE_CString | server_name_
ACE_CString | activator_name_
ACE_CString | command_line_
ACE_CString | activation_
ACE_CString | working_dir_
ACE_CString | server_object_ior_
ACE_CString | partial_ior_
int | start_limit_
EnvList | env_vars_

## Detailed Description

Callback SAX XML Handler for parsing XML.

## Member Typedef Documentation

typedef ACE_Vector<EnvVar> Locator_XMLHandler::EnvList

## Constructor & Destructor Documentation

Locator_XMLHandler::Locator_XMLHandler | ( | Callback & | cb | ) |

## Member Function Documentation

void Locator_XMLHandler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

virtual void Locator_XMLHandler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

## Member Data Documentation

ACE_CString Locator_XMLHandler::activation_`[private]`

const char * Locator_XMLHandler::ACTIVATOR_INFO_TAG = "Activators"`[static]`

ACE_CString Locator_XMLHandler::activator_name_`[private]`

Callback& Locator_XMLHandler::callback_`[private]`

ACE_CString Locator_XMLHandler::command_line_`[private]`

EnvList Locator_XMLHandler::env_vars_`[private]`

const char * Locator_XMLHandler::ENVIRONMENT_TAG = "EnvironmentVariables"`[static]`

ACE_CString Locator_XMLHandler::partial_ior_`[private]`

const char * Locator_XMLHandler::ROOT_TAG = "ImplementationRepository"`[static]`

const char * Locator_XMLHandler::SERVER_INFO_TAG = "Servers"`[static]`

ACE_CString Locator_XMLHandler::server_name_`[private]`

ACE_CString Locator_XMLHandler::server_object_ior_`[private]`

int Locator_XMLHandler::start_limit_`[private]`

ACE_CString Locator_XMLHandler::working_dir_`[private]`

The documentation for this class was generated from the following files:

- Locator_XMLHandler.h
- Locator_XMLHandler.cpp